Package wx :: Class CalculateLayoutEvent

[frames | no frames]

## Type CalculateLayoutEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    CalculateLayoutEvent

Proxy of C++ CalculateLayoutEvent class

Method Summary
CalculateLayoutEvent | `__init__(self, id)`
int | `GetFlags(self)`
Rect | `GetRect(self)`
| `SetFlags(self, flags)`
| `SetRect(self, rect)`

Property Summary
| `Flags`: See `GetFlags` and `SetFlags`
| `Rect`: See `GetRect` and `SetRect`
| `thisown`: The membership flag

Property Details

### Flags

See `GetFlags` and `SetFlags`

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### Rect

See `GetRect` and `SetRect`

  Get Method:
    `GetRect`(self)
  Set Method:
    `SetRect`(self, rect)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:06:47 2007 | http://epydoc.sf.net